# Πρόγραμμα - Παιχνίδι "Βρες τον Αριθμό"

# Εισαγωγή βιβλιοθήκης για την παραγωγή τυχαίων αριθμών
import random

# Εμφάνιση Μηνύματος Καλωσορίσματος 
print("Καλώς Ήρθατε στο παιχνίδι - Βρες τον Αριθμό")

# Ορισμός κρυφού αριθμού ως ένας τυχαίος αριθμός
# μεταξύ 1 και 100
kryfos_arithmos = random.randint(1, 100)

# Αρχικοποίηση μετρητή προσπαθειών με την τιμή 0
prospathies=0
# Αρχικοποίηση αριθμού που εισάγει ο χρήστης με την τιμή 0
arithmos_apo_xristi=0

# Χρήση εντολής επανάληψης while
# Η επανάληψη θα συνεχίζετε για όσο ο κρυφός αριθμός 
# είναι διαφορετικός από τον αριθμό που εισήγαγε ο χρήστης
while kryfos_arithmos != arithmos_apo_xristi:
    print()
    # Αύξηση αριθμού προσπαθειών κατά 1
    prospathies=prospathies+1
    # Εισαγωγή πιθανού αριθμού από χρήστη
    print("Προσπάθεια",prospathies,". Βρες τον \
κρυφό αριθμό μεταξύ 1 και 100:")
    arithmos_apo_xristi=int(input())
    # Σύγκριση κρυφού αριθμού με αυτόν που αυτόν που
    # εισήγαγε ο χρήστης
    # Περίπτωση ο κρυφός αριθμός να είναι μικρότερος
    if arithmos_apo_xristi>kryfos_arithmos:
        print("Ο κρυφός αριθμός είναι μικρότερος")
    # Περίπτωση ο κρυφός αριθμός να είναι μεγαλύτερος
    elif arithmos_apo_xristi<kryfos_arithmos:
        print("Ο κρυφός αριθμός είναι μεγαλύτερος")
    # Περίπτωση ο κρυφός αριθμός να είναι ίσος με του χρήστη
    else :
        print("Συγχαρητήρια! Βρήκατε τον κρυφό αριθμό με", \
              prospathies, "προσπάθειες")

print()
# Εμφάνιση Μηνύματος Τέλους
print("Ευχαριστούμε που παίξατε το παιχνίδι-Βρες τον Αριθμό") 

